### Method

# Jsonrpc Client call_async

since: 3.26

#### Declaration [src]

    void
    jsonrpc_client_call_async (
      JsonrpcClient* self,
      const gchar* method,
      GVariant* params,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously calls `method` with `params` on the remote peer.

Upon completion or failure, `callback` is executed and it should call `jsonrpc_client_call_finish()` to complete the request and release any memory held.

If `params` is floating, the floating reference is consumed.

Available since: 3.26

#### Parameters

`method`

  Type: `const gchar*`

  The name of the method to call.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`params`

  Type: `GVariant`

  A `GVariant` of parameters or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to executed upon completion.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.